# Admin Reports API . userUsageReport

## Instance Methods

Retrieves a report which is a collection of properties / statistics for a set of users.

Retrieves the next page of results.

### Method Details

`get(userKey, date, parameters=None, pageToken=None, filters=None, maxResults=None, customerId=None)`

    Retrieves a report which is a collection of properties / statistics for a set of users.

    Args:
      userKey: string, Represents the profile id or the user email for which the data should be filtered. (required)
      date: string, Represents the date in yyyy-mm-dd format for which the data is to be fetched. (required)
      parameters: string, Represents the application name, parameter name pairs to fetch in csv as app_name1:param_name1, app_name2:param_name2.
      pageToken: string, Token to specify next page.
      filters: string, Represents the set of filters including parameter operator value.
      maxResults: integer, Maximum number of results to return. Maximum allowed is 1000
      customerId: string, Represents the customer for which the data is to be fetched.

    Returns:
      An object of the form:

        { # JSON template for a collection of usage reports.
        "nextPageToken": "A String", # Token for retrieving the next page
        "kind": "admin#reports#usageReports", # The kind of object.
        "etag": "A String", # ETag of the resource.
        "usageReports": [ # Various application parameter records.
          { # JSON template for a usage report.
            "date": "A String", # The date to which the record belongs.
            "kind": "admin#reports#usageReport", # The kind of object.
            "etag": "A String", # ETag of the resource.
            "parameters": [ # Parameter value pairs for various applications.
              {
                "msgValue": [ # Nested message value of the parameter.
                  {
                    "a_key": "",
                  },
                ],
                "name": "A String", # The name of the parameter.
                "intValue": "A String", # Integral value of the parameter.
                "boolValue": True or False, # Boolean value of the parameter.
                "datetimeValue": "A String", # RFC 3339 formatted value of the parameter.
                "stringValue": "A String", # String value of the parameter.
              },
            ],
            "entity": { # Information about the type of the item.
              "profileId": "A String", # Obfuscated user id for the record.
              "userEmail": "A String", # user's email.
              "type": "A String", # The type of item, can be a customer or user.
              "customerId": "A String", # Obfuscated customer id for the record.
            },
          },
        ],
        "warnings": [ # Warnings if any.
          {
            "message": "A String", # Human readable message for the warning.
            "code": "A String", # Machine readable code / warning type.
            "data": [ # Key-Value pairs to give detailed information on the warning.
              {
                "value": "A String", # Value associated with a key-value pair to give detailed information on the warning.
                "key": "A String", # Key associated with a key-value pair to give detailed information on the warning.
              },
            ],
          },
        ],
      }

`get_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.